aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-02-15 01:05:59 -0800
committerJunio C Hamano <junkio@cox.net>2006-02-15 01:56:55 -0800
commit45e48120bb591b9ef156026ae7498ebd6a144962 (patch)
tree0d3cfd7c17de45e1867eaa23a33ccf8acdbf87ed
parent6becd7da8786555fbd2aeeb9669d37dc810f2658 (diff)
downloadgit-45e48120bb591b9ef156026ae7498ebd6a144962.tar.gz
git-45e48120bb591b9ef156026ae7498ebd6a144962.tar.xz
Detect misspelled pathspec to git-add
This is in the same spirit as an earlier patch for git-commit. It does an extra ls-files to avoid complaining when a fully tracked directory name is given on the command line (otherwise --others restriction would say the pathspec does not match). Signed-off-by: Junio C Hamano <junkio@cox.net>
-rwxr-xr-xgit-add.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/git-add.sh b/git-add.sh
index f719b4b1a..13fad820d 100755
--- a/git-add.sh
+++ b/git-add.sh
@@ -24,6 +24,17 @@ while : ; do
shift
done
+# Check misspelled pathspec
+case "$#" in
+0) ;;
+*)
+ git-ls-files --error-unmatch --others --cached -- "$@" >/dev/null || {
+ echo >&2 "Maybe you misspelled it?"
+ exit 1
+ }
+ ;;
+esac
+
if test -f "$GIT_DIR/info/exclude"
then
git-ls-files -z \